none
R versions in Microsoft R ecosystem RRS feed

  • Question

  • It seems that Microsoft R Client v1.0.0 installs and uses Microsoft R Open v.3.2.2, based on R v.3.2.2. Any other local R installations (current Microsoft R Open v.3.1.1, CRAN R v.3.1.1) are ignored.

    SQL Server 2016 R Services seem to be based on the same version of R (v. 3.2.2).

    The problem is that most of the R packages require R v.3.2.5 or higher. Some libraries even fail to load on v. 3.2.2

    The questions are:

    1. Is the observation correct, or is it something wrong with the installation?
    2. Is there any plans to fix it in the nearest future?
    3. What is the strategy to keep the Microsoft R ecosystem synchronized with the current R version?
    4. Is there any robust way to get an arbitrary R package compatible with a specific R version? 



    Wednesday, October 26, 2016 9:40 AM